#### Previous topic

scipy.special.itairy

#### Next topic

scipy.special.ellipk

# scipy.special.ellipj

`scipy.special.``ellipj`(u, m) = <ufunc 'ellipj'>

  Jacobian elliptic functions

  Calculates the Jacobian elliptic functions of parameter m between 0 and 1, and real u.

  Parameters:

  m, u

  > Parameters

  Returns:

  sn, cn, dn, ph

  > The returned functions:

  >     sn(u|m), cn(u|m), dn(u|m)

  > The value `ph` is such that if `u = ellik(ph, m)`, then `sn(u|m) = sin(ph)` and `cn(u|m) = cos(ph)`.